<!DOCTYPE html>
<html>

<body>

    <h1>Arrow Function</h1>

    <h2>Implicit Return</h2>

    <p>The arrow function expects a return value, and returns the value by default, without the <strong>return</strong>
        keyword.</p>

    <p id="demo"></p>
    <p id="demo1"></p>
    <p id="demo2"></p>
    <p id="demo3"></p>
    <p id="demo4"></p>

    <script>
        //old
        hello = function(){
            return "Hello Anil";
        }
        //new
        hello1 = () => {
            return "Hello-1";
        }

        hello2 = () => "Hello-2";

        helloWithParam = (name) => "Hello "+ name;

        helloWithParam2 = name => "Hello "+name;

        document.getElementById("demo").innerHTML = hello();
        document.getElementById("demo1").innerHTML = hello1();
        document.getElementById("demo2").innerHTML = hello2();
        document.getElementById("demo3").innerHTML = helloWithParam("Thoom");
        document.getElementById("demo4").innerHTML = helloWithParam("AK");
    </script>

</body>

</html>